Kate::Document Class Referenceabstract

`#include <document.h>`

Inherits Document, EditInterface, UndoInterface, CursorInterface, SelectionInterface, SearchInterface, HighlightingInterface, BlockSelectionInterface, ConfigInterface, MarkInterface, PrintInterface, WordWrapInterface, MarkInterfaceExtension, and SelectionInterfaceExt.

Inherited by KateDocument.

## Public Types

enum

ConfigFlags {
cfAutoIndent = 0x1, cfBackspaceIndents = 0x2, cfWordWrap = 0x4, cfReplaceTabs = 0x8,
cfRemoveSpaces = 0x10, cfWrapCursor = 0x20, cfAutoBrackets = 0x40, cfPersistent = 0x80,
cfKeepSelection = 0x100, cfDelOnInput = 0x400, cfXorSelect = 0x800, cfOvr = 0x1000,
cfMark = 0x2000, cfKeepIndentProfile = 0x8000, cfKeepExtraSpaces = 0x10000, cfTabIndents = 0x80000,
cfShowTabs = 0x200000, cfSpaceIndent = 0x400000, cfSmartHome = 0x800000
}

## Public Slots

virtual void | flush ()
virtual void | reloadFile ()=0
virtual void | spellcheck ()
virtual void | exportAs (const QString &)=0
virtual void | applyWordWrap ()=0

## Signals

void | modifiedOnDisc (Kate::Document *doc, bool isModified, unsigned char reason)

## Public Member Functions

| Document (QObject *parent, const char *name)
virtual void | isModOnHD (bool=false)
virtual QString | docName ()
virtual void | setDocName (QString)
virtual ActionMenu * | hlActionMenu (const QString &, QObject *=0, const char *=0)=0
virtual ActionMenu * | exportActionMenu (const QString &, QObject *=0, const char *=0)=0
virtual void | setWordWrap (bool)=0
virtual bool | wordWrap ()=0
virtual void | setWordWrapAt (unsigned int)=0
virtual uint | wordWrapAt ()=0
virtual void | setEncoding (const QString &e)=0
virtual QString | encoding () const =0
virtual ConfigPage * | colorConfigPage (QWidget *)=0
virtual ConfigPage * | fontConfigPage (QWidget *)=0
virtual ConfigPage * | indentConfigPage (QWidget *)=0
virtual ConfigPage * | selectConfigPage (QWidget *)=0
virtual ConfigPage * | editConfigPage (QWidget *)=0
virtual ConfigPage * | keysConfigPage (QWidget *)=0
virtual ConfigPage * | kSpellConfigPage (QWidget *)
virtual ConfigPage * | hlConfigPage (QWidget *)=0
virtual uint | configFlags ()=0
virtual void | setConfigFlags (uint flags)=0

## Static Public Member Functions

static bool | registerCommand (Command *cmd)
static bool | unregisterCommand (Command *cmd)
static Command * | queryCommand (const QString &cmd)
static void | setOpenErrorDialogsActivated (bool on)
static void | setFileChangedDialogsActivated (bool on)
static const QString & | defaultEncoding ()

## Static Protected Attributes

static bool | s_openErrorDialogsActivated = true
static bool | s_fileChangedDialogsActivated = false
static QString | s_defaultEncoding

## Detailed Description

This interface provides access to the Kate Document class.

Definition at line 182 of file document.h.

## Member Function Documentation

virtual ConfigPage* Kate::Document::colorConfigPage | ( | QWidget * |  | ) |

pure virtual

Deprecated:

Deprecated:

virtual QString Kate::Document::docName | ( |  | ) |

inline virtual

Returns the document name.

Definition at line 217 of file document.h.

virtual ConfigPage* Kate::Document::editConfigPage | ( | QWidget * |  | ) |

pure virtual

Deprecated:

virtual ConfigPage* Kate::Document::fontConfigPage | ( | QWidget * |  | ) |

pure virtual

Deprecated:

virtual ConfigPage* Kate::Document::hlConfigPage | ( | QWidget * |  | ) |

pure virtual

Deprecated:

virtual ConfigPage* Kate::Document::indentConfigPage | ( | QWidget * |  | ) |

pure virtual

Deprecated:

virtual void Kate::Document::isModOnHD | ( | bool | = `false` | ) |

inline virtual

deprecated for KDE 4.0, just does reloadFile, which will ask the normal "do you want it really" questions

Deprecated:

Definition at line 212 of file document.h.

virtual ConfigPage* Kate::Document::keysConfigPage | ( | QWidget * |  | ) |

pure virtual

Deprecated:

virtual ConfigPage* Kate::Document::kSpellConfigPage | ( | QWidget * |  | ) |

inline virtual

Deprecated:

Definition at line 276 of file document.h.

void Kate::Document::modifiedOnDisc | ( | Kate::Document * | doc,
|  | bool | isModified,
|  | unsigned char | reason
| ) |  |

signal

Indicate this file is modified on disk.

Parameters

  doc | the Kate::Document object that represents the file on disk
  isModified | indicates the file was modified rather than created or deleted

  reason

  the reason we are emitting the signal.
  - 0 - nothing
  - 1 - dirty
  - 2 - created
  - 3 - deleted

bool Kate::Document::registerCommand | ( | Command * | cmd | ) |

static

Commands handling.

Definition at line 62 of file interfaces.cpp.

virtual void Kate::Document::reloadFile | ( |  | ) |

pure virtual slot

Reloads the current document from disk if possible.

virtual ConfigPage* Kate::Document::selectConfigPage | ( | QWidget * |  | ) |

pure virtual

Deprecated:

virtual void Kate::Document::setDocName | ( | QString |  | ) |

inline virtual

Sets the document name.

deprecated for KDE 4.0, is done internally, calling it won't hurt but changes nothing beside triggers signal

Deprecated:

Definition at line 225 of file document.h.

virtual void Kate::Document::spellcheck | ( |  | ) |

inline virtual slot

Spellchecking.

Definition at line 242 of file document.h.

The documentation for this class was generated from the following files:

- document.h
- interfaces.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys